    /* *{
  font-family: Roboto !important;
} */
/* .adnav{
    z-index: 1;
} */
.sidenav {
    height: 100%;
    min-height: 100vh;
    width: 220px;
    position: fixed;
    z-index: 9999;
    top: 0;
    left: 0;
    background: url('/images/wood-walnut-background-tile.png');
    background-size: cover;
    background-position: center;
    overflow-x: hidden;
    transition: 0.5s;
    padding-left: 0;
    padding-top: 20px;

  /*z-index: 40;*/
}
.sidenav a {
    margin: 0 !important;
    padding: 8px 2px;
    text-decoration: none;
    font-size: 20px;
    color: #fff;
    font-family: Roboto !important;
    display: block;
    transition: 0.3s;
}

.sidenav a:hover {
    color: #fff;
    background: #7C4624;
}

.sidenav a:focus, .sidenav a:active {
  background: #451609;
  color: #fff;
}
#main {
  font-family: Roboto !important;
  transition: margin-left .5s;
  margin-left: 215px;
  padding: 4px;
}
.sidenav #notificationbadge{
  position: relative;
  left: -15px;
  top: -13px;
}

.sidenav .textSmall{
    padding-left: 45px;
    font-size: smaller;
    border-bottom: 1px solid #722d2df9
}
.sidenav .collapClass{
    background: #45160996;
    margin: 0 -14px 0 -14px;
}


.upload-input-btn-wrapper {
    position: relative;
    overflow: hidden;
    display: inline-block;
}
  
.uploadFileInputBtn {
    /* border: 2px solid gray;
    color: gray;
    background-color: white; */
    padding: 8px 20px;
    border-radius: 8px;
    font-size: 20px;
    font-weight: bold;
}
  
.upload-input-btn-wrapper input[type=file] {
    font-size: 100px;
    position: absolute;
    left: 0;
    top: 0;
    opacity: 0;
}

.messageText {
    position: fixed;
    top: 0.5vh;
    right: 0;
    width: 100%;
    margin-top: 1vh;
}

.imagedCard{
    object-fit: contain !important;
}

#mediauploadrow{
    height: 50vh;
    overflow: hidden;
    overflow-y: scroll;
}
#togglelink{
  position: absolute;
  width: 40px;
  height: 100%;
  padding: 3px 2px;
  right: 0.5%;
  cursor: pointer;
}

#togglelink div{
  width: 23px;
  height: 3px;
  background: #f4f4f4;
  /* background: #4D1300 !important; */
  margin: 5px 0;
  border-radius: 5px;
  cursor: pointer;
}

a.normal-link-text, a.normal-link-text:hover{
    text-decoration: none;
    color: inherit;
}

.textsRow div.tab-content{
    height: 60vh;
    overflow: hidden;
    overflow-y: auto;
}
ul.hometabset{
    display: flex;
    flex-wrap: nowrap;
    overflow-x: auto;
    overflow-y: hidden;
}
ul.hometabset li a{
    color: #f4f4f4;
}
ul.hometabset li a:hover{
    color: #0A243B;
}
div.col-lg-8 > div.border > div.card-body{
  border: none !important;
  height: 80vh;
  overflow: auto;
}

/* This space is for the users type including the
*  undergraduates, postgraduates,exstudents, colleagues
*  and the guest pages inside admin
*/
.minusLabelSpace div {
    line-height: 40%;
}
.minusLabelSpace div label {
    line-height: 10%;
    font-size: smaller;
}
.minusHallHeight{
    height: 18vh;
}
.minusHallHeight p.psmall, .minusHallHeight p.psmall a{
    line-height: 10%;
}

.imagesUploadCard{
    border-radius: 25px;
    height: 35vh;
    overflow: hidden;
    overflow-y: auto;
    border: 4px dotted #0066cc !important;
}
.assFileUploadCard{
    border-radius: 25px;
    height: 23vh;
    overflow: hidden;
    overflow-y: auto;
    border: 2px dotted #0066cc !important;
}

#home_preview, #edit_preview, .art_preview{
	border: none;
	padding: 3px;
}
#home_preview img, #edit_preview img, .art_preview img{
	width: 112px;
	height: 100px;
    margin: 7px;
    border: 1px solid #0066cc;
    box-shadow: 1px 2px 2px #0066cc;
}

#postImgPrev{
  width: 60%;
}
#postImg{
  width: 100px;
  /*height: 80px;*/
}

#my_preview, #files_preview, .addfiles_preview, .editfiles_preview{
  /*border: 2px solid red;*/
  padding: 10px;
}
#my_preview img, #files_preview img, .addfiles_preview img, .editfiles_preview img{
  width: 100px;
  height: 80px;
  padding: 2px;
  border: 1px dotted black;
}

/* This is the toggle switch for  checkbox */
/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

/* Hide default HTML checkbox */
.switch input {display:none;}

  /* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .slider {
    background-color: #2196F3;
}

input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}
/* End of the toggle switch checkbox*/
/* for the webinar-upload*/
.tablelister{
    height: 99%;
    width: 99%;
    overflow: hidden;
}

.textsCard:hover{
    background: #ccc;
    color: #000;
}
.textsCard{
    font-size:small;
}
.textsCard a{
    text-decoration: none;
}

.fluidImage{
    background-size: contain !important;
}

/* for the copy text and the tooltip of the private keys */
.mytooltip {
    position: relative;
    display: inline-block;
}

.mytooltip .mytooltiptext {
    visibility: hidden;
    width: 140px;
    background-color: #555;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px;
    position: absolute;
    z-index: 1;
    bottom: 150%;
    left: 50%;
    margin-left: -75px;
    opacity: 0;
    transition: opacity 0.3s;
}

.mytooltip .mytooltiptext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
}

.mytooltip:hover .mytooltiptext {
    visibility: visible;
    opacity: 1;
}
/* end of the private key copy */
/* webinar edit snackbar/alert bar for temporary use  */
#snackbar {
    visibility: hidden;
    min-width: 250px;
    margin-left: -125px;
    background-color: #333;
    color: #fff;
    text-align: center;
    border-radius: 2px;
    padding: 16px;
    position: fixed;
    z-index: 1;
    left: 50%;
    top: 30px;
    font-size: 17px;
}

#snackbar.show {
    visibility: visible;
    -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
    animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

@-webkit-keyframes fadein {
    from {top: 0; opacity: 0;}
    to {top: 30px; opacity: 1;}
}

@keyframes fadein {
    from {top: 0; opacity: 0;}
    to {top: 30px; opacity: 1;}
}

@-webkit-keyframes fadeout {
    from {top: 30px; opacity: 1;}
    to {top: 0; opacity: 0;}
}

@keyframes fadeout {
    from {top: 30px; opacity: 1;}
    to {top: 0; opacity: 0;}
}

/* end of the temoprary use of the webinar snackbar */

.mykeep{
	width: 220px;
}
.conversation-text {
	position: relative;

}

.conversation-text .ctext-wrap {
 	font-size: 72%;
  width: 165px;
  background: #B3ECFF !important;
  color: #000;
  text-align: center;
  border-radius: 45% 0 45% 45%;
  position: absolute;
  z-index: 1;
  top: -15px;
}

.conversation-text .ctext-wrap::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 100%;
  margin-top: -43px;
  border-width: 22px;
  border-style: solid;
  border-color: #B3ECFF transparent transparent #B3ECFF;
}
.uploadbtnwrapper{
  position: relative;
  overflow: hidden;
  display: inline-block;
}
.mybtn{
  background: #3366FF;
  border: none;
  border-radius: 25px;
  color: #fff;
  cursor: pointer;
  padding: 8px 20px;
}
/* .uploadbtnwrapper input[type='file']{
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
} */
.mynextrow{
	margin-top: 40px;
}
.forumrow a {
    text-decoration: none;
}
.forumrow a:hover {
    text-decoration: none;
}

.forumrow h6,
  .forumrow p{
    text-decoration: none;
}
.forumrow h6:hover,
  .forumrow p:hover{
    text-decoration: none;
}
#forumcard{
  background: #DBDDE0 !important;
}
/* this is for the exhibition_list page */
.myh2{ text-shadow: 2px 2px 4px #000000;}

.divtextheight{ height: 50%;}

a.dark_anchor{
    text-decoration: none;
    color: black;
}
#museum_list a {
    text-decoration: none;
    color: black;
}
.card h4{ font-size: 1.5em }
home_preview
#museum_list div.card{
    height: 96%;
    font-size: 80%;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.assessrow a.btn,
    .assessrow button{
        font-size: 75%;
}
/* #museum_list div.card:hover{
    border: 1px solid #000;
    background: #EBEBEB !important;
    opacity: 0.5;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.5), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
} */

@media screen and (max-height: 450px) {
    .sidenav {padding-top: 15px;}
    .sidenav a {font-size: 18px;}
}

@media screen and (max-width: 950px){
    #main { margin-left: 0px; }
    .sidenav {width: 0px;}
    .sidenav .textSmall{
        padding-left: 10vw;
    }
    /* .publicationCard{
        height: 13vh;
    } */
   /*#togglelink{ display: none; }*/
}
